<!-- kate: space-indent on; tab-width 4; indent-width 4; mixed-indent off; replace-tabs on; indent-mode xml; -->
<!--sebastiany.net::Body::Start--><body>
<!-- your content here... -->
<div class="lead content bg-image mb-3" style="background-image: url('/_resources/images/skor-php-template.jpg'); height: 220px;">
    <!--Image by Gleen Ferdinand from Pixabay-->
    <div class="row">
        <div class="col-md-6  text-left">
            <h1 class="p-4" style="color:#981914;">PHP Template</h1>
        </div>
    </div>

</div>
<div class="row">
    <div class="col-md-12 p-4 text-right text-end">
        <h2><a class="text-info" href="https://sebastiany.net/" target="_blank" rel="noopener" title="PHP Template">&copy; {LINKTEXT}</a></h2>

    </div>
</div>
<div class="row">
    <div class="col-md-12 p-4">
        <h3>Skor PHP Template howto</h3>
<em>include and instantiate the class section of the template system</em>
<code><pre>
require_once('./src/class_template.php');
require_once('./src/class_section.php');

$template                   = new section();
</pre></code>


<em>if set to 'true' you will see placeholders without values after display</em>

<code><pre>
$template->keep_unassigned  = false;
</pre></code>

<em>Read one or more template files</em>

<code><pre>
$template->read('./templates/head.html');
$template->read('./templates/main.html');
</pre></code>


<em>simply fetch the content of a section for further processing</em>


<code><pre>
$head = $template->fetch('Head');
</pre></code>

<em>or prepare to display it</em>

<code><pre>
$template->assign_section('Head');
</pre></code>



<em>This is how you assign a placeholder</em>

<code><pre>
$template->assign('LINKTEXT','sebastiany.net');
$template->assign_section('Body');

</pre></code>

        </div>
    </div>
</body>
</html><!--sebastiany.net::Body::End-->